export function transferFile(base64Str: string, fileName: string) {
  let arr = base64Str.split(','),
  mime = (arr[0].match(/:(.*?);/) as any)[1], //base64解析出来的图片类型
  bstr = atob(arr[1]) , //对base64串进行操作，去掉url头，并转换为byte   atob为window内置方法
  len = bstr.length,
  ab = new ArrayBuffer(len), //将ASCII码小于0的转换为大于0
  u8arr = new Uint8Array(ab) //
  while (len--) {
      u8arr[len] = bstr.charCodeAt(len)
  }
  // 创建新的 File 对象实例[utf-8内容，文件名称或者路径，[可选参数，type：文件中的内容mime类型]]
  return new File([u8arr], fileName, {
      type: mime
  })
}